## nip2 7.10.10

=== doc/nipguide/Makefile ===
#

PS = \
	nipguide.ps 

mkinstalldirs = $(SHELL) ../../mkinstalldirs
destdir = ../

include ../Makefile.texrules

all: subdirs nipguide.dvi 

install: all $(PS) html
	-rm -rf ${destdir}/ps
	-rm -rf ${destdir}/html
	$(mkinstalldirs) ${destdir}/ps
	$(mkinstalldirs) ${destdir}/html
	-cp $(PS) ${destdir}/ps
	-cp -r nipguide/* ${destdir}/html

.PHONEY: subdirs
subdirs:
	cd figs; $(MAKE) 

nipguide.dvi: config.tex infrared.tex intro.tex program.tex \
	reference.tex menus.tex tutorial.tex mydefs.tex 

.PHONEY: html
html: nipguide.dvi
	-rm -rf nipguide 
	latex2html -show_section_numbers -no_footnode -numbered_footnotes -white nipguide 

.PHONEY: clean 
clean:
	cd figs; $(MAKE) clean
	-rm -f $(PS) $(DVI) $(AUX) $(LOG) $(LOF) $(LOT) $(TOC)
	-rm -rf nipguide

=== doc/nipguide/figs/Makefile ===
#

PS = \
	ir1.PS \
	ir2.PS \
	ir3.PS \
	ir4.PS \
	ir5.PS \
	ir6.PS \
	ir7.PS \
	ir8a.PS \
	ir9.PS \
	mos2.PS \
	scr21a.PS \
	scr22.PS \
	scr23.PS \
	scr24.PS \
	scr25.PS \
	scr26.PS \
	snap1.PS \
	snap10.PS \
	snap11.PS \
	snap12.PS \
	snap13.PS \
	snap14.PS \
	snap15.PS \
	snap16.PS \
	snap2.PS \
	snap3.PS \
	snap4.PS \
	snap5.PS \
	snap6.PS \
	snap7.PS \
	snap7a.PS \
	snap8.PS \
	snap9.PS \
	toolkit.PS \
	toolkit2.PS \
	toolkit3.PS 

%.PS: %.v
	vdump -D -p -s1 $< > $@

%.PS: %.jpg
	vdump -D -p -s1 $< > $@

%.PS: %.png
	vdump -D -p -s1 $< > $@

all: $(PS)

.PHONEY: clean 
clean:
	-rm -f $(PS)

## nip2 7.10.12

=== scraps/old_menus/Makefile ===
# Makefile.in generated automatically by automake 1.4-p1 from Makefile.am

# Copyright (C) 1994, 1995-8, 1999 Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.


SHELL = /bin/sh

srcdir = .
top_srcdir = ../../..

prefix = /home/john/vips
exec_prefix = ${prefix}

bindir = ${exec_prefix}/bin
sbindir = ${exec_prefix}/sbin
libexecdir = ${exec_prefix}/libexec
datadir = ${prefix}/share
sysconfdir = ${prefix}/etc
sharedstatedir = ${prefix}/com
localstatedir = ${prefix}/var
libdir = ${exec_prefix}/lib
infodir = ${prefix}/info
mandir = ${prefix}/man
includedir = ${prefix}/include
oldincludedir = /usr/include

DESTDIR =

pkgdatadir = $(datadir)/nip
pkglibdir = $(libdir)/nip
pkgincludedir = $(includedir)/nip

top_builddir = ../../..

ACLOCAL = aclocal
AUTOCONF = autoconf
AUTOMAKE = automake
AUTOHEADER = autoheader

INSTALL = /usr/bin/install -c
INSTALL_PROGRAM = ${INSTALL} $(AM_INSTALL_PROGRAM_FLAGS)
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_SCRIPT = ${INSTALL}
transform = s,x,x,

NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
CC = gcc
GTK_CFLAGS = -I/usr/local/include -I/usr/lib/glib/include -I/usr/X11R6/include
GTK_CONFIG = /usr/local/bin/gtk-config
GTK_LIBS = -L/usr/local/lib -L/usr/X11R6/lib -lgtk -lgdk -L/usr/lib -rdynamic -lgmodule -lglib -ldl -lXext -lX11 -lm
IP_CFLAGS = -I/usr/local/include/libxml -I/usr/local/include -I/usr/local/include -I/usr/lib/glib/include -I/usr/X11R6/include -I/home/john/vips/include 
IP_INCLUDES = 
IP_LIBS = -L/usr/local/lib -lxml2 -lz -L/lib -lm -L/usr/local/lib -L/usr/X11R6/lib -lgtk -lgdk -L/usr/lib -rdynamic -lgmodule -lglib -ldl -lXext -lX11 -lm -L/home/john/vips/lib -lvips -ltiff -lz -ljpeg -lm -ldl
LEX = flex
MAKEINFO = makeinfo
PACKAGE = nip
VERSION = 7.7.15
VIPS_CFLAGS = -I/home/john/vips/include 
VIPS_CONFIG = /home/john/vips/bin/vips-config
VIPS_LIBS = -L/home/john/vips/lib -lvips -ltiff -lz -ljpeg -lm -ldl
XML2_CONFIG = /usr/local/bin/xml2-config
XML_CFLAGS = -I/usr/local/include/libxml -I/usr/local/include
XML_CONFIG = @XML_CONFIG@
XML_LIBS = -L/usr/local/lib -lxml2 -lz -L/lib -lm
YACC = bison -y

ipdata78dir = $(datadir)/vips/nip/data7.8

ipdata78_DATA =  	Arithmetic.def 	Boolean.def 	Build.def 	Colour.def 	Complex.def 	Convert.def 	Filter.def 	Fourier.def 	Freqfilter.def 	Histogram.def 	Image.def 	Linux_video.def 	Mask.def 	Matrix.def 	Morphology.def 	Mosaic.def 	Overlay.def 	Plot.def 	Print.def 	Region.def 	Relational.def 	Resize.def 	Rotate.def 	Rubber.def 	Statistics.def 	_errors.def 	_list.def 	_predicate.def 	_stdenv.def 	_types.def 	about.hlp 	automatic.hlp 	black.rec 	blur.con 	browse.hlp 	calpref.hlp 	campin.rec 	cartoon.con 	conv.hlp 	default.rec 	definition.hlp 	display.hlp 	edit.hlp 	expression.hlp 	filter.hlp 	function.hlp 	hals.rec 	header.hlp 	identity.con 	image_preferences.hlp 	image_save_pref.hlp 	ip_preferences.hlp 	john.con 	kontron.con 	laplace.con 	load.hlp 	matpanel.hlp 	matrix.hlp 	monochrome.rec 	morph.hlp 	pref.hlp 	print_test_image.v 	rachel.con 	range.hlp 	recomb.hlp 	resize.hlp 	save.hlp 	sharp.con 	sharp2.con 	slider.hlp 	square.mor 	system.iprc 	vidpref.hlp 	white.rec 	xyz2srgb.rec


EXTRA_DIST = $(ipdata78_DATA)
mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_HEADER = ../../../config.h
CONFIG_CLEAN_FILES = 
DATA =  $(ipdata78_DATA)

DIST_COMMON =  Makefile.am Makefile.in


DISTFILES = $(DIST_COMMON) $(SOURCES) $(HEADERS) $(TEXINFOS) $(EXTRA_DIST)

TAR = tar
GZIP_ENV = --best
all: all-redirect
.SUFFIXES:
$(srcdir)/Makefile.in: Makefile.am $(top_srcdir)/configure.in $(ACLOCAL_M4) 
	cd $(top_srcdir) && $(AUTOMAKE) --gnu share/nip/data7.8/Makefile

Makefile: $(srcdir)/Makefile.in  $(top_builddir)/config.status $(BUILT_SOURCES)
	cd $(top_builddir) \
	  && CONFIG_FILES=$(subdir)/$@ CONFIG_HEADERS= $(SHELL) ./config.status


install-ipdata78DATA: $(ipdata78_DATA)
	@$(NORMAL_INSTALL)
	$(mkinstalldirs) $(DESTDIR)$(ipdata78dir)
	@list='$(ipdata78_DATA)'; for p in $$list; do \
	  if test -f $(srcdir)/$$p; then \
	    echo " $(INSTALL_DATA) $(srcdir)/$$p $(DESTDIR)$(ipdata78dir)/$$p"; \
	    $(INSTALL_DATA) $(srcdir)/$$p $(DESTDIR)$(ipdata78dir)/$$p; \
	  else if test -f $$p; then \
	    echo " $(INSTALL_DATA) $$p $(DESTDIR)$(ipdata78dir)/$$p"; \
	    $(INSTALL_DATA) $$p $(DESTDIR)$(ipdata78dir)/$$p; \
	  fi; fi; \
	done

uninstall-ipdata78DATA:
	@$(NORMAL_UNINSTALL)
	list='$(ipdata78_DATA)'; for p in $$list; do \
	  rm -f $(DESTDIR)$(ipdata78dir)/$$p; \
	done
tags: TAGS
TAGS:


distdir = $(top_builddir)/$(PACKAGE)-$(VERSION)/$(subdir)

subdir = share/nip/data7.8

distdir: $(DISTFILES)
	here=`cd $(top_builddir) && pwd`; \
	top_distdir=`cd $(top_distdir) && pwd`; \
	distdir=`cd $(distdir) && pwd`; \
	cd $(top_srcdir) \
	  && $(AUTOMAKE) --include-deps --build-dir=$$here --srcdir-name=$(top_srcdir) --output-dir=$$top_distdir --gnu share/nip/data7.8/Makefile
	@for file in $(DISTFILES); do \
	  d=$(srcdir); \
	  if test -d $$d/$$file; then \
	    cp -pr $$d/$$file $(distdir)/$$file; \
	  else \
	    test -f $(distdir)/$$file \
	    || ln $$d/$$file $(distdir)/$$file 2> /dev/null \
	    || cp -p $$d/$$file $(distdir)/$$file || :; \
	  fi; \
	done
info-am:
info: info-am
dvi-am:
dvi: dvi-am
check-am: all-am
check: check-am
installcheck-am:
installcheck: installcheck-am
install-exec-am:
	@$(NORMAL_INSTALL)
	$(MAKE) $(AM_MAKEFLAGS) install-exec-hook
install-exec: install-exec-am

install-data-am: install-ipdata78DATA
install-data: install-data-am

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
install: install-am
uninstall-am: uninstall-ipdata78DATA
uninstall: uninstall-am
all-am: Makefile $(DATA)
all-redirect: all-am
install-strip:
	$(MAKE) $(AM_MAKEFLAGS) AM_INSTALL_PROGRAM_FLAGS=-s install
installdirs:
	$(mkinstalldirs)  $(DESTDIR)$(ipdata78dir)


mostlyclean-generic:

clean-generic:

distclean-generic:
	-rm -f Makefile $(CONFIG_CLEAN_FILES)
	-rm -f config.cache config.log stamp-h stamp-h[0-9]*

maintainer-clean-generic:
mostlyclean-am:  mostlyclean-generic

mostlyclean: mostlyclean-am

clean-am:  clean-generic mostlyclean-am

clean: clean-am

distclean-am:  distclean-generic clean-am

distclean: distclean-am

maintainer-clean-am:  maintainer-clean-generic distclean-am
	@echo "This command is intended for maintainers to use;"
	@echo "it deletes files that may require special tools to rebuild."

maintainer-clean: maintainer-clean-am

.PHONY: uninstall-ipdata78DATA install-ipdata78DATA tags distdir info-am \
info dvi-am dvi check check-am installcheck-am installcheck \
install-exec-am install-exec install-data-am install-data install-am \
install uninstall-am uninstall all-redirect all-am all installdirs \
mostlyclean-generic distclean-generic clean-generic \
maintainer-clean-generic clean mostlyclean distclean maintainer-clean


install-exec-hook:
	$(mkinstalldirs) $(DESTDIR)$(ipdata78dir)

# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:

## nip2 7.12.5

=== doc/nipguide/Makefile ===
#

PDF = nipguide.pdf 
SRC = config.tex infrared.tex intro.tex program.tex \
	reference.tex menus.tex tutorial.tex mydefs.tex

mkinstalldirs = $(SHELL) ../../mkinstalldirs
destdir = ../

all: $(PDF) html

install: all $(PDF) html
	-rm -f ${destdir}/pdf/$(PDF)
	$(mkinstalldirs) ${destdir}/pdf
	-cp $(PDF) ${destdir}/pdf
	-rm -rf ${destdir}/html/figs
	-rm -f ${destdir}/html/*.html
	-rm -f ${destdir}/html/*.css
	$(mkinstalldirs) ${destdir}/html
	-cp -r nipguide/* ${destdir}/html

$(PDF): $(SRC) 
	pdflatex nipguide.tex
	pdflatex nipguide.tex

.PHONEY: html
html: 
	-rm -rf nipguide 
	mkdir nipguide
	htlatex nipguide.tex html.cfg,3 "" -dnipguide/
	cp -r figs nipguide

.PHONEY: clean 
clean:
	-rm -f *.4ct
	-rm -f *.4tc
	-rm -f *.log
	-rm -f *.xref
	-rm -f *.tmp
	-rm -f *.html
	-rm -f *.css
	-rm -f *.lg
	-rm -f *.idv
	-rm -f *.aux
	-rm -f *.dvi
	-rm -f *.lof
	-rm -f *.lot
	-rm -f *.toc
	-rm -f *.pdf
	-rm -rf nipguide

## nip2 7.20.6

=== debian/changelog ===
nip2 (7.20.6-1ubuntu3) lucid; urgency=low

  * Upload to ubuntu. lp: #543612

 -- Lionel Le Folgoc <mrpouit@ubuntu.com>  Mon, 22 Mar 2010 00:15:06 +0100

nip2 (7.20.6-1ubuntu3~ppa1) lucid; urgency=low

  * debian/control: build-depends on libgoffice-0.8-dev instead of
    libgoffice-0-8-dev.

 -- Lionel Le Folgoc <mrpouit@ubuntu.com>  Sat, 20 Mar 2010 15:52:44 +0100

nip2 (7.20.6-1ubuntu2) lucid; urgency=low

  * Rebuild against latest goffice (see Debian #570010).

 -- Lionel Le Folgoc <mrpouit@ubuntu.com>  Thu, 18 Feb 2010 19:44:37 +0100

nip2 (7.20.6-1ubuntu1) lucid; urgency=low

  * Merge from Debian testing (LP: #501104), remaining changes:
    - debian/control: Also Recommend abrowser
  * Rebuild for libmagick{core,wand}1 -> libmagick{core,wand}2 
    transition (LP: #454726).
  * This upstream version builds against new GTK+ (LP: #407339).

 -- Ilya Barygin <barygin@gmail.com>  Mon, 28 Dec 2009 22:52:15 +0300

nip2 (7.20.6-1) unstable; urgency=low

  * New upstream release

 -- Jay Berkenbilt <qjb@debian.org>  Sat, 05 Dec 2009 14:57:29 -0500

nip2 (7.20.2-1) experimental; urgency=low

  * New upstream release
  * Converted package format to "3.0 (quilt)"
  * No longer depends on gtksheet and therefore no longer fails to build
    from source (closes: #549774)

 -- Jay Berkenbilt <qjb@debian.org>  Mon, 23 Nov 2009 21:45:50 -0500

nip2 (7.18.2-1) unstable; urgency=low

  * New upstream release
  * Updated standards version to 3.8.3.  No changes required.

 -- Jay Berkenbilt <qjb@debian.org>  Wed, 19 Aug 2009 15:44:04 -0400

nip2 (7.18.1-1ubuntu1) karmic; urgency=low

  * Merge from debian unstable (LP: #375435), remaining changes:
    - debian/control: Also Recommend abrowser

 -- Michael Terry <michael.terry@canonical.com>  Tue, 12 May 2009 09:26:46 -0400

nip2 (7.18.1-1) unstable; urgency=low

  * New upstream release
  * Updated standards to 3.8.1.  No changes required.

 -- Jay Berkenbilt <qjb@debian.org>  Sun, 26 Apr 2009 11:14:06 -0400

nip2 (7.14.5-1ubuntu2) jaunty; urgency=low

  * Rebuild for libmagick10 -> libmagickcore1 transition.

 -- James Westby <james.westby@canonical.com>  Fri, 16 Jan 2009 18:31:23 +0000

nip2 (7.14.5-1ubuntu1) jaunty; urgency=low

  * Merge from debian unstable, remaining changes (LP: #300867):
    - Alternatively recommend on abrowser.

 -- Nick Ellery <nick.ellery@ubuntu.com>  Fri, 21 Nov 2008 17:55:46 -0800

nip2 (7.14.5-1) unstable; urgency=low

  * New upstream release
  * Switched source packaging to no longer use tarball in tarball format.
  * Switched to quilt.  Added README.source.
  * Updated standards to 3.8.0

 -- Jay Berkenbilt <qjb@debian.org>  Sat, 19 Jul 2008 16:32:00 -0400

nip2 (7.14.4-1build1ubuntu1) intrepid; urgency=low

  * fix LP: #272772: packages that Depend/Recommend/Suggest firefox
    (meta-package) must alternatively Depend/Recommend/Suggest abrowser
    - update debian/control

 -- Alexander Sack <asac@ubuntu.com>  Mon, 22 Sep 2008 03:02:42 +0200

nip2 (7.14.4-1build1) intrepid; urgency=low

  * Rebuild for libopenexr2ldbl -> libopenexr6 transistion.

 -- Steve Kowalik <stevenk@ubuntu.com>  Tue, 26 Aug 2008 17:37:42 +1000

nip2 (7.14.4-1) unstable; urgency=low

  * New upstream release

 -- Jay Berkenbilt <qjb@debian.org>  Sun, 08 Jun 2008 10:35:59 -0400

nip2 (7.14.3-1) unstable; urgency=low

  * New upstream release
  * Change dependency on fftw3-dev to fftw3-dev | libfftw3-dev to save
    Ubuntu people from having to continually patch vips

 -- Jay Berkenbilt <qjb@debian.org>  Mon, 05 May 2008 10:53:43 -0400

nip2 (7.14.1-3) unstable; urgency=low

  * Automake patch to prevent linking with cc and -lstdc++

 -- Jay Berkenbilt <qjb@debian.org>  Mon, 07 Apr 2008 20:21:53 -0400

nip2 (7.14.1-2) unstable; urgency=low

  * Officially supported version; updating watch file and uploading to
    unstable.

 -- Jay Berkenbilt <qjb@debian.org>  Sat, 29 Mar 2008 11:28:35 -0400

nip2 (7.14.1-1) experimental; urgency=low

  * New upstream release
  * Upate standards version to 3.7.3 (no changes needed)

 -- Jay Berkenbilt <qjb@debian.org>  Sun, 16 Mar 2008 09:47:19 -0400

nip2 (7.12.5-2) unstable; urgency=medium

  * Update Recommends to replace defunct mozilla-firefox with iceweasel
    and to add firefox as an option for Ubuntu. (Closes: #452450)

 -- Jay Berkenbilt <qjb@debian.org>  Sat, 24 Nov 2007 20:35:45 -0500

nip2 (7.12.5-1) unstable; urgency=low

  * New upstream release
  * Update desktop file to no longer reference a file we don't install

 -- Jay Berkenbilt <qjb@debian.org>  Thu, 01 Nov 2007 19:43:57 -0400

nip2 (7.12.4-1) unstable; urgency=low

  * New upstream release

 -- Jay Berkenbilt <qjb@debian.org>  Mon, 30 Jul 2007 17:19:29 -0400

nip2 (7.12.2-1) unstable; urgency=low

  * New upstream release
  * Updated menu file for new menu structure

 -- Jay Berkenbilt <qjb@debian.org>  Sat, 21 Jul 2007 22:49:54 -0400

nip2 (7.10.21-1) unstable; urgency=low

  * New upstream release

 -- Jay Berkenbilt <qjb@debian.org>  Tue, 19 Sep 2006 12:18:21 -0400

nip2 (7.10.20-1) unstable; urgency=low

  * New upstream release
  * Add watch file

 -- Jay Berkenbilt <qjb@debian.org>  Fri, 23 Jun 2006 14:56:45 -0400

nip2 (7.10.19-1) unstable; urgency=low

  * New upstream release
  * nip2 no longer uses Magick-config (change made by upstream author).
    (Closes: #347402)
  * nip2 no longer crashes in directory with *.xcf.bz2.  (Closes: #349876)
  * Update standards version to 3.7.2; included removing
    /usr/bin/run-nip2.sh (rather than just renaming it) since it was not
    needed anyway.

 -- Jay Berkenbilt <qjb@debian.org>  Fri, 12 May 2006 18:06:42 -0400

nip2 (7.10.16-1) unstable; urgency=low

  * New upstream release
  * Upstream fix: correct internationalization error that caused crashes
    on some invalid input strings.  (Closes: #340277)
  * vips packaging bug broke dependencies; fixed in this upload.  (Closes:
    #340714)

 -- Jay Berkenbilt <qjb@debian.org>  Fri, 25 Nov 2005 19:50:03 -0500



=== debian/control ===
Source: nip2
Section: graphics
Priority: optional
Build-Depends: cdbs, debhelper (>= 5), libglib2.0-dev, libpango1.0-dev, libatk1.0-dev, libgtk2.0-dev, libvips-dev (>= 7.20.4), shared-mime-info, gnome-icon-theme, hicolor-icon-theme, flex, bison, intltool, fftw3-dev | libfftw3-dev, libxml2-dev, pkg-config, libjpeg62-dev, libtiff4-dev, zlib1g-dev, liblcms1-dev, libpng12-dev, libmagick9-dev | libmagick-dev, libfreetype6-dev, libfontconfig1-dev, libice-dev, gettext, libgsl0-dev, libgoffice-0.8-dev
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Jay Berkenbilt <qjb@debian.org>
Standards-Version: 3.8.3
Homepage: http://www.vips.ecs.soton.ac.uk

Package: nip2
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: iceweasel | firefox | abrowser | www-browser
Suggests: libvips-doc, libvips-tools
Description: spreadsheet-like graphical image manipulation tool
 nip2 is a graphical front end to the VIPS package.
 .
 VIPS is an image processing system designed with efficiency in mind.
 It is good with large images (images larger than the amount of RAM in
 your machine), and for working with colour.  It can perform many
 image manipulation tasks much faster than other packages such as
 ImageMagick and the GIMP and includes some special features such as
 creating single "mosaic" images from multiple parts.
 .
 VIPS consists of two main components: an image processing library
 with some command-line tools and a spreadsheet-like graphical user
 interface.  This package supplies the graphical interface.
 .
 With nip2, rather than directly editing images, you build
 relationships between objects in a spreadsheet-like fashion.  When
 you make a change somewhere, nip2 recalculates the objects affected by
 that change.  Since it is demand-driven this update is very fast,
 even for very, very large images.  nip2 is very good at creating
 pipelines of image manipulation operations.  It is not very good for
 image editing tasks like touching up photographs.  For that, a tool
 like the GIMP should be used instead.

=== debian/watch ===
version=3
http://www.vips.ecs.soton.ac.uk/supported/7.18/nip2-([\d\.]+).tar.gz

## nip2 7.20.7

=== doc/nipguide/Makefile ===
--- 
+++ 
@@ -1,8 +1,15 @@
 #
 
 PDF = nipguide.pdf 
-SRC = config.tex infrared.tex intro.tex program.tex \
-	reference.tex menus.tex tutorial.tex mydefs.tex
+SRC = \
+      	config.tex \
+	infrared.tex \
+	intro.tex \
+	program.tex \
+	reference.tex \
+	menus.tex \
+	tutorial.tex \
+	mydefs.tex
 
 mkinstalldirs = $(SHELL) ../../mkinstalldirs
 destdir = ../
@@ -29,6 +36,8 @@
 	mkdir nipguide
 	htlatex nipguide.tex html.cfg,3 "" -dnipguide/
 	cp -r figs nipguide
+	-rm nipguide/*.jpg
+	-rm nipguide/*.png
 
 .PHONEY: clean 
 clean:

=== debian/changelog ===
nip2 (7.20.7-2) unstable; urgency=low

  * Updated build dependencies: libjpeg62-dev -> libjpeg-dev
  * Updated build dependencies: libgoffice-0-8-dev -> libgoffice-0.8-dev
    (Closes: #573693, #573645)
  * Updated standards version to 3.8.4.  No changes required.

 -- Jay Berkenbilt <qjb@debian.org>  Sat, 13 Mar 2010 08:55:49 -0500

nip2 (7.20.7-1) unstable; urgency=low

  * New upstream release
  * Updated watch file

 -- Jay Berkenbilt <qjb@debian.org>  Sun, 10 Jan 2010 12:16:01 -0500

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,15 @@
 Source: nip2
 Section: graphics
 Priority: optional
-Build-Depends: cdbs, debhelper (>= 5), libglib2.0-dev, libpango1.0-dev, libatk1.0-dev, libgtk2.0-dev, libvips-dev (>= 7.20.4), shared-mime-info, gnome-icon-theme, hicolor-icon-theme, flex, bison, intltool, fftw3-dev | libfftw3-dev, libxml2-dev, pkg-config, libjpeg62-dev, libtiff4-dev, zlib1g-dev, liblcms1-dev, libpng12-dev, libmagick9-dev | libmagick-dev, libfreetype6-dev, libfontconfig1-dev, libice-dev, gettext, libgsl0-dev, libgoffice-0.8-dev
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Jay Berkenbilt <qjb@debian.org>
-Standards-Version: 3.8.3
+Build-Depends: cdbs, debhelper (>= 5), libglib2.0-dev, libpango1.0-dev, libatk1.0-dev, libgtk2.0-dev, libvips-dev (>= 7.20.4), shared-mime-info, gnome-icon-theme, hicolor-icon-theme, flex, bison, intltool, fftw3-dev | libfftw3-dev, libxml2-dev, pkg-config, libjpeg-dev, libtiff4-dev, zlib1g-dev, liblcms1-dev, libpng12-dev, libmagick9-dev | libmagick-dev, libfreetype6-dev, libfontconfig1-dev, libice-dev, gettext, libgsl0-dev, libgoffice-0.8-dev
+Maintainer: Jay Berkenbilt <qjb@debian.org>
+Standards-Version: 3.8.4
 Homepage: http://www.vips.ecs.soton.ac.uk
 
 Package: nip2
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Recommends: iceweasel | firefox | abrowser | www-browser
+Recommends: iceweasel | firefox | www-browser
 Suggests: libvips-doc, libvips-tools
 Description: spreadsheet-like graphical image manipulation tool
  nip2 is a graphical front end to the VIPS package.

=== debian/rules ===
#!/usr/bin/make -f

VERSION := $(shell dpkg-parsechangelog | \
             awk '/Version:/ {print $$2}' | cut -d- -f 1)

# Variables used by cdbs
DEB_TAR_SRCDIR = nip2-$(VERSION)
DEB_INSTALL_DIRS_nip2 = /usr/share/pixmaps
DEB_INSTALL_DOCS_nip2 = \
	$(DEB_BUILDDIR)/test/convert.sed \
	$(DEB_BUILDDIR)/doc/html
DEB_COMPRESS_EXCLUDE = html examples

#### Include cdbs rules files.
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/gnome.mk
include /usr/share/cdbs/1/class/autotools.mk

# As 0.4.21, cdbs creates but doesn't remove debian/compat.  It
# creates it conditionally, so this doesn't have a trivial fix.
clean::
	$(RM) debian/compat *.cdbs-config_list

pre-build::
	find build-tree -name CVS -print | xargs rm -rf

# Move examples to /usr/share/doc as per policy, but leave a link
# behind so that File -> Open Examples still works.  (When I put the
# symbolic link command here, I thought of using an absolute link so it
# would work for people who moved /usr/share/doc and left a link in its
# place, but the package creation process changed it to a relative link
# anyway. -ejb)
install/nip2::
	rm debian/nip2/usr/bin/run-nip2.sh
	cp debian/misc/nip2.xpm debian/nip2/usr/share/pixmaps
	mv debian/nip2/usr/share/nip2/data/examples \
		debian/nip2/usr/share/doc/nip2/examples
	ln -s ../../doc/nip2/examples debian/nip2/usr/share/nip2/data/
	find debian/nip2/usr/share/doc/nip2/examples -type f -perm -1 -print | \
		xargs chmod -x

=== debian/watch ===
version=3
http://www.vips.ecs.soton.ac.uk/supported/7.20/nip2-([\d\.]+).tar.gz

## nip2 7.24.1

=== debian/changelog ===
nip2 (7.24.1-2) unstable; urgency=low

  * Updated libmagick build dependencies to use non-version-specific
    packages for better upgradability. (Closes: #625549)
  * Updated standards to 3.9.2; no changes required.

 -- Jay Berkenbilt <qjb@debian.org>  Sat, 07 May 2011 09:40:15 -0400

nip2 (7.24.1-1) unstable; urgency=low

  * New upstream release

 -- Jay Berkenbilt <qjb@debian.org>  Mon, 27 Dec 2010 14:53:08 -0500

nip2 (7.22.3-2) unstable; urgency=low

  * Add abrowser as an additional choice to satisfy the browser
    dependency.  This removes differences between the Debian and Ubuntu
    versions of the package.  (Closes: #600550)

 -- Jay Berkenbilt <qjb@debian.org>  Mon, 18 Oct 2010 20:33:55 -0400

nip2 (7.22.3-1) unstable; urgency=low

  * New upstream release

 -- Jay Berkenbilt <qjb@debian.org>  Sat, 09 Oct 2010 10:40:19 -0400

nip2 (7.22.2-2) unstable; urgency=low

  * No code changes since last version uploaded to experimental: upstream
    has declared this to be a stable release.
  * Updated watch file for new stable download location.

 -- Jay Berkenbilt <qjb@debian.org>  Sat, 04 Sep 2010 15:27:15 -0400

nip2 (7.22.2-1) experimental; urgency=low

  * New upstream release
  * Updated standards version to 3.9.1.  No changes required.

 -- Jay Berkenbilt <qjb@debian.org>  Sun, 08 Aug 2010 19:31:16 -0400

nip2 (7.22.1-1) experimental; urgency=low

  * New upstream release
  * Update standards version to 3.9.0

 -- Jay Berkenbilt <qjb@debian.org>  Sat, 24 Jul 2010 11:05:40 -0400

nip2 (7.22.0-2) experimental; urgency=low

  * Update build dependency on proper version of vips. (Closes: #586591)

 -- Jay Berkenbilt <qjb@debian.org>  Wed, 30 Jun 2010 18:01:08 -0400

nip2 (7.22.0-1) experimental; urgency=low

  * New upstream release

 -- Jay Berkenbilt <qjb@debian.org>  Sun, 20 Jun 2010 13:18:55 -0400

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,15 @@
 Source: nip2
 Section: graphics
 Priority: optional
-Build-Depends: cdbs, debhelper (>= 5), libglib2.0-dev, libpango1.0-dev, libatk1.0-dev, libgtk2.0-dev, libvips-dev (>= 7.20.4), shared-mime-info, gnome-icon-theme, hicolor-icon-theme, flex, bison, intltool, fftw3-dev | libfftw3-dev, libxml2-dev, pkg-config, libjpeg-dev, libtiff4-dev, zlib1g-dev, liblcms1-dev, libpng12-dev, libmagick9-dev | libmagick-dev, libfreetype6-dev, libfontconfig1-dev, libice-dev, gettext, libgsl0-dev, libgoffice-0.8-dev
+Build-Depends: cdbs, debhelper (>= 5), libglib2.0-dev, libpango1.0-dev, libatk1.0-dev, libgtk2.0-dev, libvips-dev (>= 7.24.5-3), shared-mime-info, gnome-icon-theme, hicolor-icon-theme, flex, bison, intltool, fftw3-dev | libfftw3-dev, libxml2-dev, pkg-config, libjpeg-dev, libtiff4-dev, zlib1g-dev, liblcms1-dev, libpng12-dev, libmagickcore-dev, libmagickwand-dev, libfreetype6-dev, libfontconfig1-dev, libice-dev, gettext, libgsl0-dev, libgoffice-0.8-dev, libgraphviz-dev
 Maintainer: Jay Berkenbilt <qjb@debian.org>
-Standards-Version: 3.8.4
+Standards-Version: 3.9.2
 Homepage: http://www.vips.ecs.soton.ac.uk
 
 Package: nip2
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Recommends: iceweasel | firefox | www-browser
+Recommends: iceweasel | firefox | abrowser | www-browser
 Suggests: libvips-doc, libvips-tools
 Description: spreadsheet-like graphical image manipulation tool
  nip2 is a graphical front end to the VIPS package.

=== debian/watch ===
version=3
http://www.vips.ecs.soton.ac.uk/supported/7.24/nip2-([\d\.]+).tar.gz

## nip2 7.26.3

=== debian/changelog ===
nip2 (7.26.3-1build1) precise; urgency=low

  * No change rebuild for imagemagick4 transition

 -- Michael Terry <mterry@ubuntu.com>  Fri, 18 Nov 2011 12:28:14 -0500

nip2 (7.26.3-1) unstable; urgency=low

  * New upstream release

 -- Jay Berkenbilt <qjb@debian.org>  Sat, 03 Sep 2011 12:22:01 -0400

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: nip2
 Section: graphics
 Priority: optional
-Build-Depends: cdbs, debhelper (>= 5), libglib2.0-dev, libpango1.0-dev, libatk1.0-dev, libgtk2.0-dev, libvips-dev (>= 7.24.5-3), shared-mime-info, gnome-icon-theme, hicolor-icon-theme, flex, bison, intltool, fftw3-dev | libfftw3-dev, libxml2-dev, pkg-config, libjpeg-dev, libtiff4-dev, zlib1g-dev, liblcms1-dev, libpng12-dev, libmagickcore-dev, libmagickwand-dev, libfreetype6-dev, libfontconfig1-dev, libice-dev, gettext, libgsl0-dev, libgoffice-0.8-dev, libgraphviz-dev
+Build-Depends: cdbs, debhelper (>= 5), libglib2.0-dev, libpango1.0-dev, libatk1.0-dev, libgtk2.0-dev, libvips-dev (>= 7.26.1), shared-mime-info, gnome-icon-theme, hicolor-icon-theme, flex, bison, intltool, fftw3-dev | libfftw3-dev, libxml2-dev, pkg-config, libjpeg-dev, libtiff4-dev, zlib1g-dev, liblcms1-dev, libpng12-dev, libmagickcore-dev, libmagickwand-dev, libfreetype6-dev, libfontconfig1-dev, libice-dev, gettext, libgsl0-dev, libgoffice-0.8-dev, libgraphviz-dev
 Maintainer: Jay Berkenbilt <qjb@debian.org>
 Standards-Version: 3.9.2
 Homepage: http://www.vips.ecs.soton.ac.uk

## nip2 7.26.4

=== debian/changelog ===
nip2 (7.26.4-2) unstable; urgency=low

  * Update png dependency to libpng-dev.  (Closes: #662446)

 -- Jay Berkenbilt <qjb@debian.org>  Mon, 05 Mar 2012 09:21:23 -0500

nip2 (7.26.4-1) unstable; urgency=low

  * New upstream release
  * Patch to fix yyerror that doesn't conform to bison.  (Closes: #643446)

 -- Jay Berkenbilt <qjb@debian.org>  Sat, 31 Dec 2011 10:57:07 -0500

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: nip2
 Section: graphics
 Priority: optional
-Build-Depends: cdbs, debhelper (>= 5), libglib2.0-dev, libpango1.0-dev, libatk1.0-dev, libgtk2.0-dev, libvips-dev (>= 7.26.1), shared-mime-info, gnome-icon-theme, hicolor-icon-theme, flex, bison, intltool, fftw3-dev | libfftw3-dev, libxml2-dev, pkg-config, libjpeg-dev, libtiff4-dev, zlib1g-dev, liblcms1-dev, libpng12-dev, libmagickcore-dev, libmagickwand-dev, libfreetype6-dev, libfontconfig1-dev, libice-dev, gettext, libgsl0-dev, libgoffice-0.8-dev, libgraphviz-dev
+Build-Depends: cdbs, debhelper (>= 5), libglib2.0-dev, libpango1.0-dev, libatk1.0-dev, libgtk2.0-dev, libvips-dev (>= 7.26.7), shared-mime-info, gnome-icon-theme, hicolor-icon-theme, flex, bison, intltool, fftw3-dev | libfftw3-dev, libxml2-dev, pkg-config, libjpeg-dev, libtiff4-dev, zlib1g-dev, liblcms1-dev, libpng-dev, libmagickcore-dev, libmagickwand-dev, libfreetype6-dev, libfontconfig1-dev, libice-dev, gettext, libgsl0-dev, libgoffice-0.8-dev, libgraphviz-dev
 Maintainer: Jay Berkenbilt <qjb@debian.org>
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://www.vips.ecs.soton.ac.uk
 
 Package: nip2

## nip2 7.28.1

=== debian/changelog ===
nip2 (7.28.1-1) unstable; urgency=low

  * New upstream release

 -- Jay Berkenbilt <qjb@debian.org>  Sun, 18 Mar 2012 17:12:03 -0400

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: nip2
 Section: graphics
 Priority: optional
-Build-Depends: cdbs, debhelper (>= 5), libglib2.0-dev, libpango1.0-dev, libatk1.0-dev, libgtk2.0-dev, libvips-dev (>= 7.26.7), shared-mime-info, gnome-icon-theme, hicolor-icon-theme, flex, bison, intltool, fftw3-dev | libfftw3-dev, libxml2-dev, pkg-config, libjpeg-dev, libtiff4-dev, zlib1g-dev, liblcms1-dev, libpng-dev, libmagickcore-dev, libmagickwand-dev, libfreetype6-dev, libfontconfig1-dev, libice-dev, gettext, libgsl0-dev, libgoffice-0.8-dev, libgraphviz-dev
+Build-Depends: cdbs, debhelper (>= 5), libglib2.0-dev, libpango1.0-dev, libatk1.0-dev, libgtk2.0-dev, libvips-dev (>= 7.28.2), shared-mime-info, gnome-icon-theme, hicolor-icon-theme, flex, bison, intltool, fftw3-dev | libfftw3-dev, libxml2-dev, pkg-config, libjpeg-dev, libtiff4-dev, zlib1g-dev, liblcms1-dev, libpng-dev, libmagickcore-dev, libmagickwand-dev, libfreetype6-dev, libfontconfig1-dev, libice-dev, gettext, libgsl0-dev, libgoffice-0.8-dev, libgraphviz-dev
 Maintainer: Jay Berkenbilt <qjb@debian.org>
 Standards-Version: 3.9.3
 Homepage: http://www.vips.ecs.soton.ac.uk

## nip2 7.28.4

=== doc/Makefile ===
#

.PHONEY: all
all: $(PS)
	cd nipguide; $(MAKE) 

.PHONEY: clean
clean: 
	cd nipguide; $(MAKE) clean

.PHONEY: install
install: 
	cd nipguide; $(MAKE) install

=== debian/changelog ===
nip2 (7.28.4-1) unstable; urgency=low

  * New upstream release

 -- Jay Berkenbilt <qjb@debian.org>  Thu, 24 May 2012 16:33:01 -0400

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: nip2
 Section: graphics
 Priority: optional
-Build-Depends: cdbs, debhelper (>= 5), libglib2.0-dev, libpango1.0-dev, libatk1.0-dev, libgtk2.0-dev, libvips-dev (>= 7.28.2), shared-mime-info, gnome-icon-theme, hicolor-icon-theme, flex, bison, intltool, fftw3-dev | libfftw3-dev, libxml2-dev, pkg-config, libjpeg-dev, libtiff4-dev, zlib1g-dev, liblcms1-dev, libpng-dev, libmagickcore-dev, libmagickwand-dev, libfreetype6-dev, libfontconfig1-dev, libice-dev, gettext, libgsl0-dev, libgoffice-0.8-dev, libgraphviz-dev
+Build-Depends: cdbs, debhelper (>> 9~), libglib2.0-dev, libpango1.0-dev, libatk1.0-dev, libgtk2.0-dev, libvips-dev (>> 7.28.5-1~), shared-mime-info, gnome-icon-theme, hicolor-icon-theme, flex, bison, intltool, fftw3-dev | libfftw3-dev, libxml2-dev, pkg-config, libjpeg-dev, zlib1g-dev, liblcms1-dev, libpng-dev, libmagickcore-dev, libmagickwand-dev, libfreetype6-dev, libfontconfig1-dev, libice-dev, gettext, libgsl0-dev, libgoffice-0.8-dev, libgraphviz-dev
 Maintainer: Jay Berkenbilt <qjb@debian.org>
 Standards-Version: 3.9.3
 Homepage: http://www.vips.ecs.soton.ac.uk

=== debian/rules ===
--- 
+++ 
@@ -16,10 +16,8 @@
 include /usr/share/cdbs/1/class/gnome.mk
 include /usr/share/cdbs/1/class/autotools.mk
 
-# As 0.4.21, cdbs creates but doesn't remove debian/compat.  It
-# creates it conditionally, so this doesn't have a trivial fix.
 clean::
-	$(RM) debian/compat *.cdbs-config_list
+	$(RM) *.cdbs-config_list
 
 pre-build::
 	find build-tree -name CVS -print | xargs rm -rf

=== debian/watch ===
version=3
http://www.vips.ecs.soton.ac.uk/supported/7.26/nip2-([\d\.]+).tar.gz

## nip2 7.38.1

=== debian/changelog ===
nip2 (7.38.1-1) unstable; urgency=low

  * New upstream version.

 -- Jay Berkenbilt <qjb@debian.org>  Tue, 04 Feb 2014 14:48:12 -0500

nip2 (7.36.5-2) unstable; urgency=medium

  * Remove unneeded dependency on liblcms1-dev.

 -- Jay Berkenbilt <qjb@debian.org>  Wed, 15 Jan 2014 10:42:59 -0500

nip2 (7.36.5-1) unstable; urgency=low

  * New upstream version.

 -- Jay Berkenbilt <qjb@debian.org>  Sat, 21 Dec 2013 16:22:50 -0500

nip2 (7.36.4-3) unstable; urgency=low

  * Update goffice build dependency. (Closes: #698150)

 -- Jay Berkenbilt <qjb@debian.org>  Tue, 03 Dec 2013 15:47:34 -0500

nip2 (7.36.4-2) unstable; urgency=low

  * Fix build dependencies.

 -- Jay Berkenbilt <qjb@debian.org>  Fri, 15 Nov 2013 08:59:46 -0500

nip2 (7.36.4-1) unstable; urgency=low

  * New upstream release
  * Update standards version to 3.9.5.  No changes required.

 -- Jay Berkenbilt <qjb@debian.org>  Thu, 14 Nov 2013 13:02:29 -0500

nip2 (7.34.1-1) unstable; urgency=low

  * New upstream release
  * Added build dependency on autotools-dev
  * Update standards version to 3.9.4.  No changes required.

 -- Jay Berkenbilt <qjb@debian.org>  Mon, 16 Sep 2013 10:34:52 -0400

nip2 (7.32.1-1) experimental; urgency=low

  * New upstream release
  * Fix broken debian/watch file
  * Non-free sRGB.icm is no longer included in the release as it was
    replaced by upstream with a free version.  (Closes: #699305)

 -- Jay Berkenbilt <qjb@debian.org>  Sat, 27 Apr 2013 21:11:02 -0400

nip2 (7.28.5-1) unstable; urgency=low

  * New upstream release

 -- Jay Berkenbilt <qjb@debian.org>  Fri, 29 Jun 2012 14:00:40 -0400

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: nip2
 Section: graphics
 Priority: optional
-Build-Depends: cdbs, debhelper (>> 9~), libglib2.0-dev, libpango1.0-dev, libatk1.0-dev, libgtk2.0-dev, libvips-dev (>> 7.28.5-1~), shared-mime-info, gnome-icon-theme, hicolor-icon-theme, flex, bison, intltool, fftw3-dev | libfftw3-dev, libxml2-dev, pkg-config, libjpeg-dev, zlib1g-dev, liblcms1-dev, libpng-dev, libmagickcore-dev, libmagickwand-dev, libfreetype6-dev, libfontconfig1-dev, libice-dev, gettext, libgsl0-dev, libgoffice-0.8-dev, libgraphviz-dev
+Build-Depends: cdbs, debhelper (>> 9~), autotools-dev, libglib2.0-dev, libpango1.0-dev, libatk1.0-dev, libgtk2.0-dev, libvips-dev (>> 7.38.3~), shared-mime-info, gnome-icon-theme, hicolor-icon-theme, flex, bison, intltool, fftw3-dev | libfftw3-dev, libxml2-dev, pkg-config, libjpeg-dev, zlib1g-dev, libpng-dev, libmagickcore-dev, libmagickwand-dev, libfreetype6-dev, libfontconfig1-dev, libice-dev, gettext, libgsl0-dev, libgoffice-0.10-dev, libgraphviz-dev
 Maintainer: Jay Berkenbilt <qjb@debian.org>
-Standards-Version: 3.9.3
+Standards-Version: 3.9.5
 Homepage: http://www.vips.ecs.soton.ac.uk
 
 Package: nip2

=== debian/rules ===
--- 
+++ 
@@ -34,5 +34,3 @@
 	mv debian/nip2/usr/share/nip2/data/examples \
 		debian/nip2/usr/share/doc/nip2/examples
 	ln -s ../../doc/nip2/examples debian/nip2/usr/share/nip2/data/
-	find debian/nip2/usr/share/doc/nip2/examples -type f -perm -1 -print | \
-		xargs chmod -x

## nip2 7.38.3

=== debian/changelog ===
nip2 (7.38.3-1) unstable; urgency=medium

  * New upstream version. (This is actually from 7.38.3-1.tar.gz upstream,
    which was a repackaging of 7.38.3, which had some missing files in
    it.)

 -- Jay Berkenbilt <qjb@debian.org>  Sat, 21 Jun 2014 18:37:06 -0400

## nip2 7.40.4

=== debian/changelog ===
nip2 (7.40.4-1) unstable; urgency=medium

  * New upstream version.
  * Replacement of some non-free source files (test image, color profile)
    with free alternatives. (Closes: #758442, #758468)

 -- Jay Berkenbilt <qjb@debian.org>  Tue, 02 Sep 2014 17:00:18 -0400

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: nip2
 Section: graphics
 Priority: optional
-Build-Depends: cdbs, debhelper (>> 9~), autotools-dev, libglib2.0-dev, libpango1.0-dev, libatk1.0-dev, libgtk2.0-dev, libvips-dev (>> 7.38.3~), shared-mime-info, gnome-icon-theme, hicolor-icon-theme, flex, bison, intltool, fftw3-dev | libfftw3-dev, libxml2-dev, pkg-config, libjpeg-dev, zlib1g-dev, libpng-dev, libmagickcore-dev, libmagickwand-dev, libfreetype6-dev, libfontconfig1-dev, libice-dev, gettext, libgsl0-dev, libgoffice-0.10-dev, libgraphviz-dev
+Build-Depends: cdbs, debhelper (>> 9~), autotools-dev, libglib2.0-dev, libpango1.0-dev, libatk1.0-dev, libgtk2.0-dev, libvips-dev (>> 7.40.6~), shared-mime-info, gnome-icon-theme, hicolor-icon-theme, flex, bison, intltool, fftw3-dev | libfftw3-dev, libxml2-dev, pkg-config, libjpeg-dev, zlib1g-dev, libpng-dev, libmagickcore-dev, libmagickwand-dev, libfreetype6-dev, libfontconfig1-dev, libice-dev, gettext, libgsl0-dev, libgoffice-0.10-dev, libgraphviz-dev
 Maintainer: Jay Berkenbilt <qjb@debian.org>
 Standards-Version: 3.9.5
 Homepage: http://www.vips.ecs.soton.ac.uk

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,6 @@
 DEB_TAR_SRCDIR = nip2-$(VERSION)
 DEB_INSTALL_DIRS_nip2 = /usr/share/pixmaps
 DEB_INSTALL_DOCS_nip2 = \
-	$(DEB_BUILDDIR)/test/convert.sed \
 	$(DEB_BUILDDIR)/doc/html
 DEB_COMPRESS_EXCLUDE = html examples

## nip2 8.2

=== debian/changelog ===
nip2 (8.2-1) unstable; urgency=low

  * New upstream version.
  * Build depend on VIPS 8.2 or newer.
  * Remove own menu file in favor to desktop file.
  * Transition to GSL 2.x (closes: #807218).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Mon, 11 Jan 2016 17:25:29 +0100

nip2 (8.0-1) unstable; urgency=low

  * New upstream release, fixes linking with vips (closes: #799181).
  * Build depend on GCC 5 transitioned vips package version.
  * Remove extra MIME files and its cache if needed.
  * New maintainer after negotiation with Jay.
  * Update Standars-Version to 3.9.6 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Mon, 07 Sep 2015 16:51:53 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: nip2
 Section: graphics
 Priority: optional
-Build-Depends: cdbs, debhelper (>> 9~), autotools-dev, libglib2.0-dev, libpango1.0-dev, libatk1.0-dev, libgtk2.0-dev, libvips-dev (>> 7.40.6~), shared-mime-info, gnome-icon-theme, hicolor-icon-theme, flex, bison, intltool, fftw3-dev | libfftw3-dev, libxml2-dev, pkg-config, libjpeg-dev, zlib1g-dev, libpng-dev, libmagickcore-dev, libmagickwand-dev, libfreetype6-dev, libfontconfig1-dev, libice-dev, gettext, libgsl0-dev, libgoffice-0.10-dev, libgraphviz-dev
-Maintainer: Jay Berkenbilt <qjb@debian.org>
-Standards-Version: 3.9.5
+Build-Depends: cdbs, debhelper (>> 9~), autotools-dev, libglib2.0-dev, libpango1.0-dev, libatk1.0-dev, libgtk2.0-dev, libvips-dev (>= 8.2), shared-mime-info, gnome-icon-theme, hicolor-icon-theme, flex, bison, intltool, fftw3-dev | libfftw3-dev, libxml2-dev, pkg-config, libjpeg-dev, zlib1g-dev, libpng-dev, libmagickcore-dev, libmagickwand-dev, libfreetype6-dev, libfontconfig1-dev, libice-dev, gettext, libgsl-dev, libgoffice-0.10-dev, libgraphviz-dev
+Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
+Standards-Version: 3.9.6
 Homepage: http://www.vips.ecs.soton.ac.uk
 
 Package: nip2

## nip2 8.3.0

=== debian/changelog ===
nip2 (8.3.0-1) unstable; urgency=low

  * New upstream version.
  * Build depend on VIPS 8.3 or newer.
  * Slightly update package description to prevent word duplication.
  * Update Standars-Version to 3.9.8 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Fri, 20 May 2016 16:12:21 +0000

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: nip2
 Section: graphics
 Priority: optional
-Build-Depends: cdbs, debhelper (>> 9~), autotools-dev, libglib2.0-dev, libpango1.0-dev, libatk1.0-dev, libgtk2.0-dev, libvips-dev (>= 8.2), shared-mime-info, gnome-icon-theme, hicolor-icon-theme, flex, bison, intltool, fftw3-dev | libfftw3-dev, libxml2-dev, pkg-config, libjpeg-dev, zlib1g-dev, libpng-dev, libmagickcore-dev, libmagickwand-dev, libfreetype6-dev, libfontconfig1-dev, libice-dev, gettext, libgsl-dev, libgoffice-0.10-dev, libgraphviz-dev
+Build-Depends: cdbs, debhelper (>> 9~), autotools-dev, libglib2.0-dev, libpango1.0-dev, libatk1.0-dev, libgtk2.0-dev, libvips-dev (>= 8.3), shared-mime-info, gnome-icon-theme, hicolor-icon-theme, flex, bison, intltool, fftw3-dev | libfftw3-dev, libxml2-dev, pkg-config, libjpeg-dev, zlib1g-dev, libpng-dev, libmagickcore-dev, libmagickwand-dev, libfreetype6-dev, libfontconfig1-dev, libice-dev, gettext, libgsl-dev, libgoffice-0.10-dev, libgraphviz-dev
 Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: http://www.vips.ecs.soton.ac.uk
 
 Package: nip2
@@ -15,7 +15,7 @@
  nip2 is a graphical front end to the VIPS package.
  .
  VIPS is an image processing system designed with efficiency in mind.
- It is good with large images (images larger than the amount of RAM in
+ It is good with large images (ones that larger than the amount of RAM in
  your machine), and for working with colour.  It can perform many
  image manipulation tasks much faster than other packages such as
  ImageMagick and the GIMP and includes some special features such as

## nip2 8.4.0

=== debian/changelog ===
nip2 (8.4.0-1build2) artful; urgency=medium

  * No-change rebuild for libgsl soname change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 06 Aug 2017 00:13:39 +0000

nip2 (8.4.0-1build1) zesty; urgency=medium

  * Rebuild against new imagemagick libs.

 -- Bhavani Shankar <bhavi@ubuntu.com>  Thu, 19 Jan 2017 11:13:53 +0530

nip2 (8.4.0-1) unstable; urgency=low

  * New upstream version.
  * Build depend on VIPS 8.4 or newer.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Fri, 23 Sep 2016 16:49:38 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: nip2
 Section: graphics
 Priority: optional
-Build-Depends: cdbs, debhelper (>> 9~), autotools-dev, libglib2.0-dev, libpango1.0-dev, libatk1.0-dev, libgtk2.0-dev, libvips-dev (>= 8.3), shared-mime-info, gnome-icon-theme, hicolor-icon-theme, flex, bison, intltool, fftw3-dev | libfftw3-dev, libxml2-dev, pkg-config, libjpeg-dev, zlib1g-dev, libpng-dev, libmagickcore-dev, libmagickwand-dev, libfreetype6-dev, libfontconfig1-dev, libice-dev, gettext, libgsl-dev, libgoffice-0.10-dev, libgraphviz-dev
+Build-Depends: cdbs, debhelper (>> 9~), autotools-dev, libglib2.0-dev, libpango1.0-dev, libatk1.0-dev, libgtk2.0-dev, libvips-dev (>= 8.4), shared-mime-info, gnome-icon-theme, hicolor-icon-theme, flex, bison, intltool, fftw3-dev | libfftw3-dev, libxml2-dev, pkg-config, libjpeg-dev, zlib1g-dev, libpng-dev, libmagickcore-dev, libmagickwand-dev, libfreetype6-dev, libfontconfig1-dev, libice-dev, gettext, libgsl-dev, libgoffice-0.10-dev, libgraphviz-dev
 Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
 Standards-Version: 3.9.8
 Homepage: http://www.vips.ecs.soton.ac.uk

=== debian/rules ===
--- 
+++ 
@@ -17,6 +17,7 @@
 
 clean::
 	$(RM) *.cdbs-config_list
+	$(RM) src/dummy.c
 
 pre-build::
 	find build-tree -name CVS -print | xargs rm -rf
@@ -28,7 +29,12 @@
 # place, but the package creation process changed it to a relative link
 # anyway. -ejb)
 install/nip2::
-	rm debian/nip2/usr/bin/run-nip2.sh
+	# remove extra MIME types files
+	find debian/nip2/usr/share/mime/ -type f -a \
+		! -name nip2.xml -exec rm {} \;
+	rm -f debian/nip2/usr/share/applications/mimeinfo.cache
+	[ ! -d debian/nip2/usr/share/mime/image/ ] || \
+		rmdir debian/nip2/usr/share/mime/image/
 	cp debian/misc/nip2.xpm debian/nip2/usr/share/pixmaps
 	mv debian/nip2/usr/share/nip2/data/examples \
 		debian/nip2/usr/share/doc/nip2/examples

## nip2 8.7.0

=== doc/src/Makefile ===
#

PDF = nipguide.pdf 
SRC = \
      	config.tex \
	infrared.tex \
	intro.tex \
	program.tex \
	reference.tex \
	menus.tex \
	tutorial.tex \
	mydefs.tex

mkinstalldirs = $(SHELL) ../../mkinstalldirs
destdir = ../

all: $(PDF) html

install: all $(PDF) html
	-rm -f ${destdir}/pdf/$(PDF)
	-mkdir -p ${destdir}/pdf
	-cp $(PDF) ${destdir}/pdf
	-rm -rf ${destdir}/html/figs
	-rm -f ${destdir}/html/*.html
	-rm -f ${destdir}/html/*.css
	-mkdir -p ${destdir}/html
	-cp -r nipguide/* ${destdir}/html

$(PDF): $(SRC) 
	pdflatex nipguide.tex
	pdflatex nipguide.tex

.PHONY: html
html: 
	-rm -rf nipguide 
	-mkdir -p nipguide
	htlatex nipguide.tex html.cfg,3 "" -dnipguide/
	cp -r figs nipguide
	-rm nipguide/*.jpg
	-rm nipguide/*.png

.PHONY: clean 
clean:
	-rm -f *.4ct
	-rm -f *.4tc
	-rm -f *.log
	-rm -f *.xref
	-rm -f *.tmp
	-rm -f *.html
	-rm -f *.css
	-rm -f *.lg
	-rm -f *.idv
	-rm -f *.aux
	-rm -f *.dvi
	-rm -f *.lof
	-rm -f *.lot
	-rm -f *.toc
	-rm -f *.pdf
	-rm -rf nipguide

=== debian/changelog ===
nip2 (8.7.0-1) unstable; urgency=medium

  * New major upstream release.
  * Update Standars-Version to 4.2.1 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Wed, 19 Sep 2018 21:30:07 +0000

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Build-Depends: cdbs, debhelper (>> 9~), autotools-dev, libglib2.0-dev, libpango1.0-dev, libatk1.0-dev, libgtk2.0-dev, libvips-dev (>= 8.4), shared-mime-info, gnome-icon-theme, hicolor-icon-theme, flex, bison, intltool, fftw3-dev | libfftw3-dev, libxml2-dev, pkg-config, libjpeg-dev, zlib1g-dev, libpng-dev, libmagickcore-dev, libmagickwand-dev, libfreetype6-dev, libfontconfig1-dev, libice-dev, gettext, libgsl-dev, libgoffice-0.10-dev, libgraphviz-dev
 Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
-Standards-Version: 3.9.8
+Standards-Version: 4.2.1
 Homepage: http://www.vips.ecs.soton.ac.uk
 
 Package: nip2

=== debian/rules ===
--- 
+++ 
@@ -39,3 +39,6 @@
 	mv debian/nip2/usr/share/nip2/data/examples \
 		debian/nip2/usr/share/doc/nip2/examples
 	ln -s ../../doc/nip2/examples debian/nip2/usr/share/nip2/data/
+	mkdir -p debian/nip2/usr/share/metainfo/
+	mv debian/nip2/usr/share/appdata/nip2.appdata.xml \
+		debian/nip2/usr/share/metainfo/
